Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
'/etc/portage/package.use' needs updating
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
tuclogicguy
n00b
n00b


Joined: 17 Dec 2013
Posts: 15

PostPosted: Mon Dec 30, 2013 6:13 pm    Post subject: '/etc/portage/package.use' needs updating Reply with quote

Lately, every time I run emerge, I get a message that says:
Quote:
IMPORTANT: config file '/etc/portage/package.use' needs updating.
with some more messages about seeing "man portage".
How do I determine what needs to be updated in /etc/portage/package.use?

Here are the contents of /etc/portage/package.use:
Code:
x11-base/xorg-server udev
>=x11-libs/fltk-1.3.2 -cairo

I had to add that last line about "fltk" when I tried to "emerge dillo" in order to get it to work. Even after adding that line, I still got the
Quote:
'/etc/portage/package.use' needs updating
message, but dillo installed successfully. Now that dillo is working, I still get the message what installing anything else. I tried removing the "fltk" line from /etc/portage/package.use and I still got that message.

Any suggestions?
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6193

PostPosted: Mon Dec 30, 2013 6:36 pm    Post subject: Reply with quote

:roll: Most likely answer: 'etc-update'.
Back to top
View user's profile Send private message
tuclogicguy
n00b
n00b


Joined: 17 Dec 2013
Posts: 15

PostPosted: Mon Dec 30, 2013 10:07 pm    Post subject: Reply with quote

etc-update appeared to do the trick. Thanks for the quick answer.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum